Get Reward By Id
curl --request GET \
--url https://app.stickyqr.com/api/rewards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.stickyqr.com/api/rewards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.stickyqr.com/api/rewards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"cost": 123,
"index": 123,
"isEnable": "<boolean>"
}Rewards
Reward Details by ID
Returns the reward’s details identified by that reward’s ID
GET
/
rewards
/
{id}
Get Reward By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Language support
Example:
"en"
Path Parameters
Reward's id
Response
200 - application/json
Successfull Response
Reward's id
Reward's name
Timestamp of object creation in ISO 8601 format
Timestamp of the last update made to the object, in ISO 8601 format
The cost of the reward
Index or position of the reward in the list
Reward is enabled or not